import java.util.ArrayList;
import java.util.Arrays;

public class TexteColore extends TexteMisEnForme {

	private CouleurDeTexte couleur ;
	
	public TexteColore(Texte t, CouleurDeTexte c) {
		super(t);
		this.couleur = c;
	}
	
	public String toString() {
		ArrayList<String> lignes = new ArrayList<String>(Arrays.asList(super.getTexteDecore().toString().split("\n")));
		if (lignes.size() == 1) {
			return this.couleur + lignes.get(0).toString() + CouleurDeTexte.WHITE;
		}
		else {
			return String.join("\n",lignes.stream().map(li->this.couleur + li + CouleurDeTexte.WHITE).toArray(String[]::new));
		}
	}
}
