import java.util.ArrayList;
import java.util.Arrays;

public class TexteSurFondColore extends TexteMisEnForme {

	private CouleurDeFond couleur ;
	
	public TexteSurFondColore(Texte t, CouleurDeFond c) {
		super(t);
		this.couleur = c;
	}
	
	public String toString() {
		ArrayList<String> lignes = new ArrayList<String>(Arrays.asList(super.getTexteDecore().toString().split("\n")));
		if (lignes.size() == 1) {
			return this.couleur + lignes.get(0).toString() + CouleurDeFond.BLACK;
		} else {
			return String.join("\n",lignes.stream().map(li->this.couleur + li + CouleurDeFond.BLACK).toArray(String[]::new));
		}
	}	
}
